package ru.otus.mobile.component;

import com.codeborne.selenide.SelenideElement;

public final class UserItemComponent extends BaseMobileComponent {
    private final SelenideElement username = byIdInRoot("username");

    public UserItemComponent(SelenideElement root) {
        super(root);
    }

    public String usernameText() {
        return username.getText();
    }

    public void open() {
        username.click();
    }
}
